@use 'sass/mixin';

@mixin table-column($width) {
  flex: 0 0 $width !important;
  width: $width !important;
}

:host {
  display: contents;
}

td {
  text-align: center;
  vertical-align: middle;
}

.speed {
  @include table-column(12ch);
}

.ct {
  flex: 1;
  ::ng-deep .mat-form-field-wrapper {
    padding: 0 !important;
  }
}

.remove {
  @include table-column(12ch);
  mat-icon {
    cursor: pointer;
  }
}
